﻿/**Begin D:\实施服务云\PDM\PDM对比生成脚本\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\DMW_constraint.sql **/
 EXEC P_ALTERPK 'PK_DMW_IMPORT_TARGET', 'T_DMW_IMPORT_TARGET', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_IMPORT_TARGET' AND KSQL_INDNAME = 'IDX_DMW_IMPORT_TARGET_FORMID') CREATE UNIQUE  CLUSTERED INDEX IDX_DMW_IMPORT_TARGET_FORMID ON T_DMW_IMPORT_TARGET ( FTARGETFORMID );


 EXEC P_ALTERPK 'PK_DMW_IMPORT_TARGET_L', 'T_DMW_IMPORT_TARGET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_IMPORT_TARGET_L' AND KSQL_INDNAME = 'IDX_DMW_IMPORT_TARGET_L_FLID') CREATE INDEX IDX_DMW_IMPORT_TARGET_L_FLID ON T_DMW_IMPORT_TARGET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DMW_MITASK', 'T_DMW_MITASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASK' AND KSQL_INDNAME = 'IDX_DMW_MITASK_NUM') CREATE INDEX IDX_DMW_MITASK_NUM ON T_DMW_MITASK ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASK' AND KSQL_INDNAME = 'IDX_DMW_MITASK_CREATETIME') CREATE INDEX IDX_DMW_MITASK_CREATETIME ON T_DMW_MITASK ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASK' AND KSQL_INDNAME = 'IDX_DMW_MITASK_MODTIME') CREATE INDEX IDX_DMW_MITASK_MODTIME ON T_DMW_MITASK ( FMODIFYTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASK' AND KSQL_INDNAME = 'IDX_DMW_MITASK_SCHEME') CREATE INDEX IDX_DMW_MITASK_SCHEME ON T_DMW_MITASK ( FSCHEMEID );


 EXEC P_ALTERPK 'PK_DMW_MITASK_L', 'T_DMW_MITASK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASK_L' AND KSQL_INDNAME = 'IDX_DMW_MITASK_L_FLID') CREATE INDEX IDX_DMW_MITASK_L_FLID ON T_DMW_MITASK_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DMW_MITASK_TARGETMETA', 'T_DMW_MITASK_TARGETMETA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASK_TARGETMETA' AND KSQL_INDNAME = 'IDX_DMW_MITASK_TARGETMETA_FBID') CREATE INDEX IDX_DMW_MITASK_TARGETMETA_FBID ON T_DMW_MITASK_TARGETMETA ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DMW_MITASKDETAIL', 'T_DMW_MITASKDETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASKDETAIL' AND KSQL_INDNAME = 'IDX_DMW_MITASKDETAIL') CREATE INDEX IDX_DMW_MITASKDETAIL ON T_DMW_MITASKDETAIL ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASKDETAIL' AND KSQL_INDNAME = 'IDX_DMW_MITASKDETAIL_FDNUM') CREATE INDEX IDX_DMW_MITASKDETAIL_FDNUM ON T_DMW_MITASKDETAIL ( FFIELDNUMBER );


 EXEC P_ALTERPK 'PK_DMW_MITASKENTRY', 'T_DMW_MITASKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASKENTRY' AND KSQL_INDNAME = 'IDX_DMW_MITASKENTRY_ID') CREATE INDEX IDX_DMW_MITASKENTRY_ID ON T_DMW_MITASKENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASKENTRY' AND KSQL_INDNAME = 'IDX_DMW_MITASKENTRY_ENTITY') CREATE INDEX IDX_DMW_MITASKENTRY_ENTITY ON T_DMW_MITASKENTRY ( FBILLENTITYID );


 EXEC P_ALTERPK 'PK_DMW_MITASKENTRY_OATT', 'T_DMW_MITASKENTRY_OATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MITASKENTRY_OATT' AND KSQL_INDNAME = 'IDX_DMW_MITASKENTRY_OATT_BDID') CREATE INDEX IDX_DMW_MITASKENTRY_OATT_BDID ON T_DMW_MITASKENTRY_OATT ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_DMW_IMPSCHEME', 'T_DMW_IMPSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_IMPSCHEME' AND KSQL_INDNAME = 'IDX_DMW_IMPSCHEME_FNUMBER') CREATE UNIQUE INDEX IDX_DMW_IMPSCHEME_FNUMBER ON T_DMW_IMPSCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_DMW_IMPSCHEME_L', 'T_DMW_IMPSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_IMPSCHEME_L' AND KSQL_INDNAME = 'IDX_DMW_IMPSCHEME_L_FLID') CREATE INDEX IDX_DMW_IMPSCHEME_L_FLID ON T_DMW_IMPSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DMW_SCHEMEDETAIL', 'T_DMW_SCHEMEDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_SCHEMEDETAIL' AND KSQL_INDNAME = 'IDX_DMW_SCHEMEDETAIL_FID') CREATE INDEX IDX_DMW_SCHEMEDETAIL_FID ON T_DMW_SCHEMEDETAIL ( FID );


 EXEC P_ALTERPK 'PK_DMW_SCHEMEFIELDMAPPING', 'T_DMW_SCHEMEFIELDMAPPING', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_SCHEMEFIELDMAPPING' AND KSQL_INDNAME = 'IDX_DMW_SCHEMEFIELDMAPPING_EID') CREATE INDEX IDX_DMW_SCHEMEFIELDMAPPING_EID ON T_DMW_SCHEMEFIELDMAPPING ( FENTRYID );


 EXEC P_ALTERPK 'PK_DMW_TASK_REPORT', 'T_DMW_TASK_REPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_TASK_REPORT' AND KSQL_INDNAME = 'IDX_DMW_TASK_REPORT_FNUMBER') CREATE INDEX IDX_DMW_TASK_REPORT_FNUMBER ON T_DMW_TASK_REPORT ( FNUMBER );


 EXEC P_ALTERPK 'PK_DMW_TASK_REPORTENTRY', 'T_DMW_TASK_REPORTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_TASK_REPORTENTRY' AND KSQL_INDNAME = 'IDX_DMW_TASK_REPORTENTRY_FID') CREATE INDEX IDX_DMW_TASK_REPORTENTRY_FID ON T_DMW_TASK_REPORTENTRY ( FID );


EXEC P_ALTERPK 'PK_DMW_MULTARMETA', 'T_DMW_MULTARMETA', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MULTARMETA' AND KSQL_INDNAME = 'IDX_DMW_MULTARMETA_FID') CREATE INDEX IDX_DMW_MULTARMETA_FID ON T_DMW_MULTARMETA ( FID ,FBASEDATAID );


/**End D:\实施服务云\PDM\PDM对比生成脚本\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\DMW_constraint.sql **/
