
 EXEC P_ALTERPK 'PK_T_DMW_PROJECT_EAS', 'T_DMW_PROJECT_EAS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS' AND KSQL_INDNAME = 'IDX_T_DMW_PROJECT_EAS_NUM') CREATE INDEX IDX_T_DMW_PROJECT_EAS_NUM ON T_DMW_PROJECT_EAS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DMW_PROJECT_EAS_L', 'T_DMW_PROJECT_EAS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS_L' AND KSQL_INDNAME = 'IDX_T_DMW_PROJECT_EAS_L_ID') CREATE INDEX IDX_T_DMW_PROJECT_EAS_L_ID ON T_DMW_PROJECT_EAS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DMW_PROJECT_EAS_OBJ', 'T_DMW_PROJECT_EAS_OBJ', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS_OBJ' AND KSQL_INDNAME = 'IDX_DMW_PROJECT_EAS_OBJ_FID') CREATE INDEX IDX_DMW_PROJECT_EAS_OBJ_FID ON T_DMW_PROJECT_EAS_OBJ ( FID );


 EXEC P_ALTERPK 'PK_T_DMW_PROJECT_EAS_CHECK', 'T_DMW_PROJECT_EAS_CHECK', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS_CHECK' AND KSQL_INDNAME = 'IDX_DMW_PROJECT_EAS_CHECK_FID') CREATE INDEX IDX_DMW_PROJECT_EAS_CHECK_FID ON T_DMW_PROJECT_EAS_CHECK ( FID );

 EXEC P_ALTERPK 'PK_T_DMW_PROJECT_SOURCE', 'T_DMW_PROJECT_SOURCE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_SOURCE' AND KSQL_INDNAME = 'IDX_DMW_PROJECT_SOURCE_FID') CREATE INDEX IDX_DMW_PROJECT_SOURCE_FID ON T_DMW_PROJECT_SOURCE ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_DMW_PROJECT_TARGET', 'T_DMW_PROJECT_TARGET', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_TARGET' AND KSQL_INDNAME = 'IDX_DMW_PROJECT_TARGET_FID') CREATE INDEX IDX_DMW_PROJECT_TARGET_FID ON T_DMW_PROJECT_TARGET ( FENTRYID );


