IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS') 
 CREATE TABLE T_DMW_PROJECT_EAS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMIGRATIONMODEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROJECTSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDBLINK BIGINT DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FBEGINPERIODYEAR BIGINT DEFAULT 0 NOT NULL,
FBEGINPERIODMONTH NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIRMXHBACKUP CHAR(1) DEFAULT '0' NOT NULL,
FMIGRATEILLUSTRATE CHAR(1) DEFAULT '0' NOT NULL,
FCONFIRMEASBACKUP CHAR(1) DEFAULT '0' NOT NULL,
FCONFIRMPEOPLE BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS_L') 
 CREATE TABLE T_DMW_PROJECT_EAS_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS_OBJ') 
 CREATE TABLE T_DMW_PROJECT_EAS_OBJ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTARTSCHEME BIGINT DEFAULT 0 NOT NULL,
FMIGRATEOBJECT BIGINT DEFAULT 0 NOT NULL,
FMIGRATESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FILLUSTRATE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTARGETOBJECT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMIGRATELOG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORMESSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMODULE BIGINT DEFAULT 0 NOT NULL,
FAREA BIGINT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_EAS_CHECK') 
 CREATE TABLE T_DMW_PROJECT_EAS_CHECK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEALDESCRIPTION_TAG NCLOB DEFAULT '',
FDEALDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEALMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHECKSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCHECKDETAIL_TAG NCLOB DEFAULT '',
FCHECKDETAIL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKITEM BIGINT DEFAULT 0 NOT NULL,
FCHECKUSER BIGINT DEFAULT 0 NOT NULL,
FCHECKTIME DATETIME
);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_SOURCE') 
 CREATE TABLE T_DMW_PROJECT_SOURCE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_TARGET') 
 CREATE TABLE T_DMW_PROJECT_TARGET (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID  NVARCHAR(50) DEFAULT ' ' NOT NULL
);


