/**Begin D:\PDM_UPGRADE\PDM1\DMW_constraint.sql **/
 EXEC P_ALTERPK 'PK_DMW_PROJECT', 'T_DMW_PROJECT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT' AND KSQL_INDNAME = 'IDX_DMW_PROJECT_NUM') CREATE INDEX IDX_DMW_PROJECT_NUM ON T_DMW_PROJECT ( FNUMBER );


 EXEC P_ALTERPK 'PK_DMW_PROJECT_L', 'T_DMW_PROJECT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_L' AND KSQL_INDNAME = 'IDX_DMW_PROJECT_L_FLID') CREATE INDEX IDX_DMW_PROJECT_L_FLID ON T_DMW_PROJECT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DMW_PROJECTENTRY_L', 'T_DMW_PROJECTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECTENTRY_L' AND KSQL_INDNAME = 'IDX_DMW_PROJECTENTRY_L_FLID') CREATE INDEX IDX_DMW_PROJECTENTRY_L_FLID ON T_DMW_PROJECTENTRY_L ( FMENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_DMW_PROJECTENTRY', 'T_DMW_PROJECTENTRY', 'FMENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_PROJECTENTRY' AND KSQL_INDNAME = 'IDX_DMW_PROJECTENTRY_FID') CREATE INDEX IDX_DMW_PROJECTENTRY_FID ON T_DMW_PROJECTENTRY ( FID );


 EXEC P_ALTERPK 'PK_DMW_IMPORTRESULT_FILE', 'T_DMW_IMPORTRESULT_FILE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_IMPORTRESULT_FILE' AND KSQL_INDNAME = 'IDX_DMW_IMPORTRESULT_FILE_EID') CREATE INDEX IDX_DMW_IMPORTRESULT_FILE_EID ON T_DMW_IMPORTRESULT_FILE ( FENTRYID );


 EXEC P_ALTERPK 'PK_DMW_COLLECTRESULTENTRY', 'T_DMW_COLLECTRESULTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_COLLECTRESULTENTRY' AND KSQL_INDNAME = 'IDX_DMW_COLLECTRESULTENTRY_MID') CREATE INDEX IDX_DMW_COLLECTRESULTENTRY_MID ON T_DMW_COLLECTRESULTENTRY ( FMENTRYID );


 EXEC P_ALTERPK 'PK_DMW_IMPORTRESULTENTRY', 'T_DMW_IMPORTRESULTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_IMPORTRESULTENTRY' AND KSQL_INDNAME = 'IDX_DMW_IMPORTRESULTENTRY_MID') CREATE INDEX IDX_DMW_IMPORTRESULTENTRY_MID ON T_DMW_IMPORTRESULTENTRY ( FMENTRYID );



/**End D:\PDM_UPGRADE\PDM1\DMW_constraint.sql **/
